Bug 136948 - /proc/acpi/battery/*/state not updating as battery discharges.
/proc/acpi/battery/*/state not updating as battery discharges.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
:
: 142681 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-23 15:55 EDT by Jamie Toolin
Modified: 2015-01-04 17:11 EST (History)
8 users (show)

See Also:
Fixed In Version: 2.6.15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 09:06:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jamie Toolin 2004-10-23 15:55:26 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041002
Firefox/0.10.1

Description of problem:
The battery charge monitor is not refreshing and reporting accurate
values for charge level. 

When the notebook is connected to AC power, the charge monitor updates
to show increasing battery level (as expected).

When the notebook is NOT connected to AC (battery discharging), the
monitor does not update to show charge levels. The first you know that
there is little charge left is when the notebook dies. 

This continues to happen without fail, everytime the notebook is used.

* This has been marked as High due to the potential for data loss as
the notebook dies without warning *

Version-Release number of selected component (if applicable):
gnome-applets-2.8.0-3

How reproducible:
Always

Steps to Reproduce:
1.Add the applet to the gnome panel on a laptop computer.
2.Charge the battery and allow it to discharge.
3.Watch!
    

Actual Results:  The battery monitor does not update until the
computer dies.

Expected Results:  The battery monitor should update as the charge
level decreases, allowing you to shutdown the computer safely.

Additional info:

The notebook in question is an HP Pavilion zd7145EA (zd7000 series).
Comment 1 Jamie Toolin 2004-10-24 10:36:36 EDT
When battery is charging, the monitor now updates intermittently
(showing large jumps) as opposed to steady increases as battery charges.
Still no refreshing when discharging.
Comment 2 Mark McLoughlin 2005-01-05 07:52:44 EST
Apologies for the delay in getting around to this.

Are the contents of /proc/acpi/battery/*/state updating regularily as
it discharges?

(bug #136948 may be the same problem)
Comment 3 Mark McLoughlin 2005-01-05 07:53:33 EST
(Bah, bug #142681 may be the same problem, rather)
Comment 4 Jamie Toolin 2005-01-06 04:27:13 EST
Not regularly, over 5 minutes (or so) I checked the state file and it
didn't change. 

It wasn't for about 10 minutes, when I noticed the panel applet had
refreshed, that I checked again to find a change. 

It doesn't update regularly, I would say occasionally at best.
Comment 5 Mark McLoughlin 2005-01-06 05:36:01 EST
Okay, if /proc/acpi/battery/*/state isn't updating as the battery
discharges then this is a kernel level problem. Moving there.
Comment 6 Mark McLoughlin 2005-01-06 05:38:05 EST
Okay, bug #142681 is a HP Pavilion zd7000 too. Marking that as a dup.
Comment 7 Mark McLoughlin 2005-01-06 05:39:19 EST
*** Bug 142681 has been marked as a duplicate of this bug. ***
Comment 8 Darryl Moore 2005-02-15 10:27:19 EST
I have the same problem as the other two people here. I am running FC3
on a pavilion ze4200. Suppose this is an HP issue?
Comment 9 Pierre-Dominique Vienne 2005-04-15 03:51:00 EDT
This problem is not due to HP architecture... I've got the same problem with a
Dell Inspiron 1150. 
Comment 10 Dave Jones 2005-07-15 13:34:21 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 11 Pierre-Dominique Vienne 2005-07-27 09:38:30 EDT
The problem is still the same for me. When I'm not using the battery, it still
tells that the system is using them. 
Comment 12 Giancarlo del Rossi 2005-09-02 10:08:43 EDT
Hi
I have a TravelMate Acer 4601WLMi, and i have the same  problem (and other,see
bugs 161892), i see that i dont recognize the status of the battery.

Is normal when i cat the file  /proc/acpi/battery/BAT1/state i have this error 

present:                 yes
ERROR: Unable to read battery status

ps i use FC4.

Bye
Giancarlo 
Comment 13 Stephen Moehle 2005-09-03 21:32:52 EDT
The latest FC4 kernel, 2.6.12-1.1447_FC4, has fixed the problem for me on my HP
Pavillion ze4560us laptop. /proc/acpi/battery/BAT1/state now accurately reflects
the current state of the machine.
Comment 14 Stephen Moehle 2005-11-12 15:29:05 EST
I take back my previous comment. With the latest kernel, 2.6.14-1.1637_FC4,
/proc/acpi/battery/BAT1/state never changes. Whether charged, charging, or
running on the battery, the state file always claims the battery is charged and
that the discharge rate is 0. /proc/acpi/ac_adapter/ACAD/state, on the other
hand, always seems to accurately and immediately reflect whether the AC adapter
is plugged in or not.
Comment 15 Dave Jones 2006-01-16 17:09:40 EST
This is a mass-update to all currently open Fedora Core 3 kernel bugs.

Fedora Core 3 support has transitioned to the Fedora Legacy project.
Due to the limited resources of this project, typically only
updates for new security issues are released.

As this bug isn't security related, it has been migrated to a
Fedora Core 4 bug.  Please upgrade to this newer release, and
test if this bug is still present there.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

Thank you.
Comment 16 Len Brown 2006-01-18 02:32:01 EST
Still an issue in FC5-T2 or 2.6.15?
Comment 17 Dave Jones 2006-02-03 00:08:53 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 18 Johnny Proton 2006-02-03 09:37:00 EST
Just downloaded FC5-T2 and the problem was no longer occurring.  All good.
Comment 19 John Thacker 2006-05-04 09:06:19 EDT
Closing per previous two comments.

Note You need to log in before you can comment on or make changes to this bug.